Create an invoice.

Creates an invoice which is either a card_present or a card_not_present invoice.
Providing the reader_uid property will create a card_present invoice, but if no reader_uid
is provided a card_not_present invoice will be created.

Card Present Invoice

A card-present-invoice is used to process an invoice through a card reader. After the invoice
is created, there is a callback to the card reader to complete the transaction. If no
accountUid is given, the card reader's default account is used.

Card Not Present Invoice

A card-not-present-invoice is used to process an invoice asynchronously. After the invoice is
created, a payment link is sent to the customer from the merchants Podium account. The customer
can click on the link to complete the transaction. If no accountUid is given, the most
recently created account is used.

Required scope: write_payments.

Body Params

Create invoice params

uuid

Podium unique identifier for bank account.

allowedPaymentOptions
array of strings

Restrict allowed payment options to the ones provided.

allowedPaymentOptions
Allowed:
string
required

Identifies the Messenger channel. Must be a valid email address or a phone number. Non-US/Canada numbers must include the country code (e.g. +61 for AUS)

string
required

Name of the customer who will receive the invoice.

string
required

An identifier that can be used as reference ID from an external system.

lineItems
array of objects
required
length between 1 and 10
lineItems*

Separate items or services that make up an invoice.

integer
required
≤ 99999900

Amount to be charged for the line item, represented in cents.

string
length ≤ 50
Defaults to Total

Description of the item or service being charged.

uuid
required

Podium unique identifier for location.

uuid

Podium unique identifier for card reader.

Responses

Callback
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json